# eric4.Plugins.PluginWizardQColorDialog

Module implementing the QColorDialog wizard plugin.

### Global Attributes

author
autoactivate
className
deactivateable
error
longDescription
name
packageName
shortDescription
version

### Classes

ColorDialogWizard | Class implementing the QColorDialog wizard plugin.

### Functions

None

## ColorDialogWizard

Class implementing the QColorDialog wizard plugin.

### Derived from

QObject

### Class Attributes

None

### Class Methods

None

### Methods

ColorDialogWizard | Constructor
__callForm | Private method to display a dialog and get the code.
__handle | Private method to handle the wizards action
__initAction | Private method to initialize the action.
__initMenu | Private method to add the actions to the right menu.
activate | Public method to activate this plugin.
deactivate | Public method to deactivate this plugin.

### Static Methods

None

#### ColorDialogWizard (Constructor)

ColorDialogWizard(ui)

Constructor

ui
  reference to the user interface object (UI.UserInterface)

#### ColorDialogWizard.__callForm

__callForm(editor)

Private method to display a dialog and get the code.

editor
  reference to the current editor

Returns:
  the generated code (string) and a success flag (boolean)

#### ColorDialogWizard.__handle

__handle()

Private method to handle the wizards action

#### ColorDialogWizard.__initAction

__initAction()

Private method to initialize the action.

#### ColorDialogWizard.__initMenu

__initMenu()

Private method to add the actions to the right menu.

#### ColorDialogWizard.activate

activate()

Public method to activate this plugin.

Returns:
  tuple of None and activation status (boolean)

#### ColorDialogWizard.deactivate

deactivate()

Public method to deactivate this plugin.

Up